<template>
    <v-col cols="6" class="desktop-d-flex w-100">
        <router-link class="event-link" :to="{ name: 'BlogShow', params: { id: blog.id } }">
            <div class="blog-card">
                <span class="eyebrow">@{{ blog.name }} on {{ blog.date }}</span>
                <h4 class="title">{{ blog.title }}</h4>
            </div>
        </router-link>
    </v-col>

</template>

<script>
export default {
    props: {
        blog: {
            type : Object,
            default: () => {
                return {}
            }
        }
    }
}
</script>

<style lang="scss" scoped>
.event-link {
    width: 100%;

    .blog-card {
        padding: 20px;
        margin-bottom: 24px;
        transition: all 0.2s linear;
        cursor: pointer;
        background-color: #e5e5e5;
        border: 2px solid #fff;
        border-radius: 4px;
        color: #FFFFFF;
        text-align: center;

    }

    .blog-card:hover {
        transform: scale(1.01);
        box-shadow: 0 3px 12px 0 rgba(0, 0, 0, 0.2), 0 1px 15px 0 rgba(0, 0, 0, 0.19);
    }

    .blog-card > .title {
        margin: 0;
    }

    .blog-link {
        color: black;
        text-decoration: none;
        font-weight: 100;
    }
}

</style>
